Skip to main content
Platform O&M/Tag Operations
POSTTag OperationsSince 3.2.0SynchronousAuth Required

CreateTag

CreateTag

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • nameStringRequired

      The resource name.

    • valueStringRequired

      The tag value.

    • descriptionString

      Optional. The detailed description of the resource.

    • colorString

      Optional. The tag color.

    • typeString

      Optional. The tag type.

    • resourceUuidString

      Optional.

  • systemTagsList

    Optional.

  • userTagsList

    Optional.

Responses

200 OK

On success, this API returns an empty JSON object {}.

Endpoint

POST/zstack/v1/tags

/zstack/v1/tags

Operation ID

CreateTag

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/tags' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"name":"<name>","value":"<value>","description":"<description>","color":"<color>","type":"<type>","resourceUuid":"<resourceUuid>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{}

Change History

This API has no change history records yet.

View all change history